import axios from 'axios';

const request = axios.create({
  baseURL: 'http://192.168.199.107:18082',
  timeout: 1200000,
  headers: {
    'Content-Type': 'application/json;charset=UTF-8',
    Accept: 'application/json'
  }
});

// 获取调试数据表
export const getDebugTable = (params: any) =>
  request({
    url: `/jpt/datamanagement`,
    method: 'get',
    params
  });

export const getLocalDebugTable = () =>
  request({
    url: `/jpt/datamanagement/local`,
    method: 'get'
  });

// 获取中间数据列表
export const getIntermediate = (params: any) =>
  request({
    url: `/jpt/intermediate/get_intermediate`,
    method: 'get',
    params
  });

// 获取文件信息
export const getFileData = (params: any) =>
  request({
    url: `/jpt/files`,
    method: 'get',
    params
  });

// 代码校验
export const codeCheck = (params: any) =>
  request({
    url: `/jpt/code_check`,
    method: 'post',
    params
  });

// 执行代码
export const executeDag = (params: any) =>
  request({
    url: `/jpt/dag/execute`,
    method: 'post',
    data: params
  });

// 节点状态
export const debugStatus = (uuid: string) =>
  request({
    url: `/jpt/dag/debug_status?dag_uuid=${uuid}`,
    method: 'get'
  });

// 节点日志
export const getNodeLog = (params: any) =>
  request({
    url: `/jpt/dag/node_log?dag_uuid=${params.dag_uuid}&node_id=${params.node_id}`,
    method: 'get'
  });

// 节点中间结果
export const getNodeResult = (params: any) =>
  request({
    url: `/jpt/dag/node_result?dag_uuid=${params.dag_uuid}&node_id=${params.node_id}&out_pin=${params.out_pin}`,
    method: 'get'
  });

// 节点中间结果
export const uploadFile = (params: any) =>
  request({
    url: '/jpt/files/upload_file',
    method: 'post',
    data: params
  });

//中间结果另存为
export const saveNodeTable = (params: any) =>
  request({
    url: '/jpt/datamanagement/',
    method: 'post',
    data: params
  });

//中间结果另存为
export const getSchema = (table_name: string) =>
  request({
    url: `/jpt/datamanagement/table_schema?table_name=${table_name}`,
    method: 'get'
  });
